{"openapi":"3.1.0","info":{"title":"Maintenance Fee REST API","description":"revision null","version":"3.21.0.6 (rnull)"},"servers":[{"url":"/"}],"paths":{"/mntfee-services/v2/maintenancefee/validate/list":{"post":{"tags":["maintenanceFeeResource"],"summary":"Validates multiple patent and application number combinations","operationId":"validatePatentAndApplicationNumberList_v2","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PatentApplicationNumberModel"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/details/list":{"post":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the patent details for multiple patent and application number combinations","operationId":"getMaintenanceFeeDetailsList_v2","parameters":[{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PatentApplicationNumberModel"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/details/list/csv":{"post":{"tags":["maintenanceFeeResource"],"summary":"Generates a CSV file containing the patent number, application number, and the reason for non acceptance","operationId":"generateMaintenanceFeeDetailsListCSV_v2","parameters":[{"name":"input","in":"query","required":true,"schema":{"type":"string"}},{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/validate/maximumrecords":{"post":{"tags":["maintenanceFeeResource"],"summary":"Validates that a bulk file does not exceed the maximum number of records","operationId":"validateMaximumRecords_v2","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/upload":{"post":{"tags":["maintenanceFeeResource"],"summary":"Uploads a bulk file for processing","operationId":"uploadMaintenanceFeeBulkFile_v2","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/submit":{"post":{"tags":["maintenanceFeeResource"],"summary":"Submits the specified bulk file for processing","operationId":"submitMaintenanceFeeBulkFile_v2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeBulkModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/list":{"post":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the lines containined in the specified bulk file","operationId":"getMaintenanceFeeBulkFile_v2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeBulkPageModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/history":{"post":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the bulk file submission history for the user","operationId":"getBulkPaymentHistory_v2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeBulkPaymentHistoryModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/history/export":{"post":{"tags":["maintenanceFeeResource"],"summary":"Generates an Excel spreadsheet containing the user's bulk file submission history","operationId":"exportBulkPaymentHistory_v2","parameters":[{"name":"input","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/history/admin":{"post":{"tags":["maintenanceFeeResource"],"summary":"Generates an Excel spreadsheet containing the user's bulk file submission history","operationId":"getBulkAdminPaymentHistory_v2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeBulkPaymentHistoryModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/history/admin/export":{"post":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the bulk file submission for an admin user","operationId":"exportAdminBulkPaymentHistory_v2","parameters":[{"name":"input","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/cancel":{"post":{"tags":["maintenanceFeeResource"],"summary":"Marks the specified bulk file as canceled","operationId":"cancelMaintenanceFeeBulkFile_v2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeBulkModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/attributes":{"post":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the pricing attributes for the given items","operationId":"getShoppingCartAttributes_v2","parameters":[{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MaintenanceFeeShoppingCartItemModel"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/mntfee-services/v1/maintenancefee/validate/list":{"post":{"tags":["maintenanceFeeResource"],"summary":"Validates multiple patent and application number combinations","operationId":"validatePatentAndApplicationNumberList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PatentApplicationNumberModel"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/details/list":{"post":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the patent details for multiple patent and application number combinations","operationId":"getMaintenanceFeeDetailsList","parameters":[{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PatentApplicationNumberModel"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/details/list/csv":{"post":{"tags":["maintenanceFeeResource"],"summary":"Generates a CSV file containing the patent number, application number, and the reason for non acceptance","operationId":"generateMaintenanceFeeDetailsListCSV","parameters":[{"name":"input","in":"query","required":true,"schema":{"type":"string"}},{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/validate/maximumrecords":{"post":{"tags":["maintenanceFeeResource"],"summary":"Validates that a bulk file does not exceed the maximum number of records","operationId":"validateMaximumRecords","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/upload":{"post":{"tags":["maintenanceFeeResource"],"summary":"Uploads a bulk file for processing","operationId":"uploadMaintenanceFeeBulkFile","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/submit":{"post":{"tags":["maintenanceFeeResource"],"summary":"Submits the specified bulk file for processing","operationId":"submitMaintenanceFeeBulkFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeBulkModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/list":{"post":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the lines containined in the specified bulk file","operationId":"getMaintenanceFeeBulkFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeBulkPageModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/history":{"post":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the bulk file submission history for the user","operationId":"getBulkPaymentHistory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeBulkPaymentHistoryModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/history/export":{"post":{"tags":["maintenanceFeeResource"],"summary":"Generates an Excel spreadsheet containing the user's bulk file submission history","operationId":"exportBulkPaymentHistory","parameters":[{"name":"input","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/history/admin":{"post":{"tags":["maintenanceFeeResource"],"summary":"Generates an Excel spreadsheet containing the user's bulk file submission history","operationId":"getBulkAdminPaymentHistory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeBulkPaymentHistoryModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/history/admin/export":{"post":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the bulk file submission for an admin user","operationId":"exportAdminBulkPaymentHistory","parameters":[{"name":"input","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/cancel":{"post":{"tags":["maintenanceFeeResource"],"summary":"Marks the specified bulk file as canceled","operationId":"cancelMaintenanceFeeBulkFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeBulkModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/attributes":{"post":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the pricing attributes for the given items","operationId":"getShoppingCartAttributes","parameters":[{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MaintenanceFeeShoppingCartItemModel"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/mntfee-services/v2/user/manifest":{"get":{"tags":["maintenanceFeeResource"],"summary":"Gets the build information","operationId":"getManifest_v2","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/validate":{"get":{"tags":["maintenanceFeeResource"],"summary":"Validates the given patent and application number combination","operationId":"validatePatentAndApplicationNumber_v2","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/statement/pdf":{"get":{"tags":["maintenanceFeeResource"],"summary":"Generates a PDF document for the given patent number, application number, and transaction id","operationId":"generateStatementPDF_v2","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"transactionId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v2/maintenancefee/receipt/{receiptId}":{"get":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the receipt for the given receipt id","operationId":"getReceiptById_v2","parameters":[{"name":"receiptId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/receipt/pdf":{"get":{"tags":["maintenanceFeeResource"],"summary":"Generates a PDF document for the given receipt id","operationId":"generateReceiptPDF_v2","parameters":[{"name":"receiptId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v2/maintenancefee/paymentsuccess/{receiptId}":{"get":{"tags":["maintenanceFeeResource"],"summary":"Acknowledges the receipt id and redirect the users back to the storefront","operationId":"paymentSuccessCallback_v2","parameters":[{"name":"receiptId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/mntfee-services/v2/maintenancefee/details":{"get":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the patent details for the given patent and application number combination","operationId":"getMaintenanceFeeDetails_v2","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/details/pdf":{"get":{"tags":["maintenanceFeeResource"],"summary":"Generates a PDF document containing the patent details for the given patent and application number combination","operationId":"getMaintenanceFeeDetailsPDF_v2","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v2/maintenancefee/details/internal":{"get":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the patent details for the given patent and application number combination.  The window phases will be calculated using the optional mailroom date parameter.","operationId":"getMaintenanceFeeDetailsInternal_v2","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"mailroomDate","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/continuity":{"get":{"tags":["maintenanceFeeResource"],"summary":"Determines the originating patent and all applicable reissues for the given patent and application number combination","operationId":"getPatentContinuity_v2","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"timestamp","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/caresact/status":{"get":{"tags":["maintenanceFeeResource"],"summary":"Returns the Cares Act status","operationId":"getCaresActStatus_v2","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/template":{"get":{"tags":["maintenanceFeeResource"],"summary":"Generates a bulk file template","operationId":"getBulkFileTemplate_v2","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/export":{"get":{"tags":["maintenanceFeeResource"],"summary":"Generates a CSV file containing all the lines errors in the given bulk file","operationId":"generateBulkFileErrorSummary_v2","parameters":[{"name":"fileId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/details":{"get":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the details for the specified bulk file","operationId":"getMaintenanceFeeBulkFileDetails_v2","parameters":[{"name":"fileId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/content":{"get":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the remote file for the given bulk file","operationId":"getContent_v2","parameters":[{"name":"fileId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"contentManagerId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v2/maintenancefee/bulk/content/check":{"get":{"tags":["maintenanceFeeResource"],"summary":"Determines if the specified content is valid and available for download","operationId":"isContentAvailable_v2","parameters":[{"name":"fileId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"contentManagerId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/user/manifest":{"get":{"tags":["maintenanceFeeResource"],"summary":"Gets the build information","operationId":"getManifest","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/validate":{"get":{"tags":["maintenanceFeeResource"],"summary":"Validates the given patent and application number combination","operationId":"validatePatentAndApplicationNumber","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/statement/pdf":{"get":{"tags":["maintenanceFeeResource"],"summary":"Generates a PDF document for the given patent number, application number, and transaction id","operationId":"generateStatementPDF","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"transactionId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v1/maintenancefee/receipt/{receiptId}":{"get":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the receipt for the given receipt id","operationId":"getReceiptById","parameters":[{"name":"receiptId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/receipt/pdf":{"get":{"tags":["maintenanceFeeResource"],"summary":"Generates a PDF document for the given receipt id","operationId":"generateReceiptPDF","parameters":[{"name":"receiptId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v1/maintenancefee/paymentsuccess/{receiptId}":{"get":{"tags":["maintenanceFeeResource"],"summary":"Acknowledges the receipt id and redirect the users back to the storefront","operationId":"paymentSuccessCallback","parameters":[{"name":"receiptId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/mntfee-services/v1/maintenancefee/details":{"get":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the patent details for the given patent and application number combination","operationId":"getMaintenanceFeeDetails","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/details/pdf":{"get":{"tags":["maintenanceFeeResource"],"summary":"Generates a PDF document containing the patent details for the given patent and application number combination","operationId":"getMaintenanceFeeDetailsPDF","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v1/maintenancefee/details/internal":{"get":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the patent details for the given patent and application number combination.  The window phases will be calculated using the optional mailroom date parameter.","operationId":"getMaintenanceFeeDetailsInternal","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"mailroomDate","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/continuity":{"get":{"tags":["maintenanceFeeResource"],"summary":"Determines the originating patent and all applicable reissues for the given patent and application number combination","operationId":"getPatentContinuity","parameters":[{"name":"patentNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"applicationNumber","in":"query","required":false,"schema":{"type":"string"}},{"name":"timestamp","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"caresActSelected","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/caresact/status":{"get":{"tags":["maintenanceFeeResource"],"summary":"Returns the Cares Act status","operationId":"getCaresActStatus","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/template":{"get":{"tags":["maintenanceFeeResource"],"summary":"Generates a bulk file template","operationId":"getBulkFileTemplate","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/export":{"get":{"tags":["maintenanceFeeResource"],"summary":"Generates a CSV file containing all the lines errors in the given bulk file","operationId":"generateBulkFileErrorSummary","parameters":[{"name":"fileId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/details":{"get":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the details for the specified bulk file","operationId":"getMaintenanceFeeBulkFileDetails","parameters":[{"name":"fileId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/content":{"get":{"tags":["maintenanceFeeResource"],"summary":"Retrieves the remote file for the given bulk file","operationId":"getContent","parameters":[{"name":"fileId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"contentManagerId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/mntfee-services/v1/maintenancefee/bulk/content/check":{"get":{"tags":["maintenanceFeeResource"],"summary":"Determines if the specified content is valid and available for download","operationId":"isContentAvailable","parameters":[{"name":"fileId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"contentManagerId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaintenanceFeeResponse"}}}}}}}},"components":{"schemas":{"PatentApplicationNumberModel":{"type":"object","properties":{"version":{"type":"integer","format":"int32","xml":{"name":"Version"}},"patentNumber":{"type":"string","xml":{"name":"PatentNumber"}},"applicationNumber":{"type":"string","xml":{"name":"ApplicationNumber"}}},"required":["applicationNumber","patentNumber"]},"BaseModel":{"type":"object","properties":{"version":{"type":"integer","format":"int32","xml":{"name":"Version"}}}},"MaintenanceFeeResponse":{"type":"object","properties":{"success":{"type":"boolean","xml":{"name":"Success"}},"errorMessageText":{"type":"array","items":{"type":"string","xml":{"name":"ErrorMessageText"}},"xml":{"name":"ErrorMessageText"}},"infoMessageText":{"type":"array","items":{"type":"string","xml":{"name":"InfoMessageText"}},"xml":{"name":"InfoMessageText"}},"warnMessageText":{"type":"array","items":{"type":"string","xml":{"name":"WarnMessageText"}},"xml":{"name":"WarnMessageText"}},"model":{"type":"array","items":{"$ref":"#/components/schemas/BaseModel"},"xml":{"name":"Model"}},"errorCode":{"type":"integer","format":"int32","xml":{"name":"ErrorCode"}}}},"MaintenanceFeeBulkLineErrorModel":{"type":"object","properties":{"version":{"type":"integer","format":"int32","xml":{"name":"Version"}},"errorCode":{"type":"integer","format":"int32","xml":{"name":"ErrorCode"}},"messageText":{"type":"string","xml":{"name":"MessageText"}}},"required":["messageText"]},"MaintenanceFeeBulkLineModel":{"type":"object","properties":{"version":{"type":"integer","format":"int32","xml":{"name":"Version"}},"patentNumber":{"type":"string","xml":{"name":"PatentNumber"}},"applicationNumber":{"type":"string","xml":{"name":"ApplicationNumber"}},"attorneyDocketNumber":{"type":"string","xml":{"name":"AttorneyDocketNumber"}},"feeCode":{"type":"string","xml":{"name":"FeeCode"}},"feeAmount":{"type":"string","xml":{"name":"FeeAmount"}},"errors":{"type":"array","items":{"$ref":"#/components/schemas/MaintenanceFeeBulkLineErrorModel"},"xml":{"name":"Errors"}}},"required":["applicationNumber","attorneyDocketNumber","feeAmount","feeCode","patentNumber"]},"MaintenanceFeeBulkModel":{"type":"object","properties":{"version":{"type":"integer","format":"int32","xml":{"name":"Version"}},"fileId":{"type":"integer","format":"int64","xml":{"name":"FileId"}},"status":{"type":"string","enum":["UPLOADED","FORMAT_VALIDATED","CANCELED","SUBMITTED","ACQUIRED_FOR_PROCESSING","DATA_VALIDATED","PROCESSING_PAYMENT","GENERATING_RECEIPT","GENERATING_STATEMENT","COMPLETED","PENDING_RETRY","FAILED"],"xml":{"name":"Status"}},"depositAccountNumber":{"type":"string","xml":{"name":"DepositAccountNumber"}},"rowCount":{"type":"integer","format":"int32","xml":{"name":"RowCount"}},"errorCount":{"type":"integer","format":"int32","xml":{"name":"ErrorCount"}},"amount":{"type":"number","xml":{"name":"Amount"}},"page":{"$ref":"#/components/schemas/MaintenanceFeeBulkPageModel","xml":{"name":"Page"}}},"required":["amount","depositAccountNumber","page","status"]},"MaintenanceFeeBulkPageModel":{"type":"object","properties":{"version":{"type":"integer","format":"int32","xml":{"name":"Version"}},"pageSize":{"type":"integer","format":"int32","xml":{"name":"PageSize"}},"pageIndex":{"type":"integer","format":"int32","xml":{"name":"PageIndex"}},"totalElements":{"type":"integer","format":"int64","xml":{"name":"TotalElements"}},"sortInfo":{"type":"array","items":{"$ref":"#/components/schemas/SortInfo"},"xml":{"name":"SortInfo"}},"fileId":{"type":"integer","format":"int64","xml":{"name":"FileId"}},"filter":{"type":"string","enum":["ALL","INVALID","VALID"],"xml":{"name":"Filter"}},"criteria":{"type":"string","xml":{"name":"Criteria"}},"results":{"type":"array","items":{"$ref":"#/components/schemas/MaintenanceFeeBulkLineModel"},"xml":{"name":"Results"}}},"required":["criteria","filter"]},"SortInfo":{"type":"object","properties":{"version":{"type":"integer","format":"int32","xml":{"name":"Version"}},"sortParameter":{"type":"string","xml":{"name":"SortParameter"}},"sortOrder":{"type":"string","xml":{"name":"SortOrder"}}},"required":["sortOrder","sortParameter"]},"MaintenanceFeeBulkPaymentHistoryModel":{"type":"object","properties":{"version":{"type":"integer","format":"int32","xml":{"name":"Version"}},"pageSize":{"type":"integer","format":"int32","xml":{"name":"PageSize"}},"pageIndex":{"type":"integer","format":"int32","xml":{"name":"PageIndex"}},"totalElements":{"type":"integer","format":"int64","xml":{"name":"TotalElements"}},"sortInfo":{"type":"array","items":{"$ref":"#/components/schemas/SortInfo"},"xml":{"name":"SortInfo"}},"userId":{"type":"string","xml":{"name":"UserId"}},"depositAccountNumber":{"type":"string","xml":{"name":"DepositAccountNumber"}},"paymentMethod":{"type":"string","xml":{"name":"PaymentMethod"}},"fromDate":{"type":"string","format":"date-time","xml":{"name":"FromDate"}},"toDate":{"type":"string","format":"date-time","xml":{"name":"ToDate"}},"minPaymentAmount":{"type":"number","xml":{"name":"MinPaymentAmount"}},"maxPaymentAmount":{"type":"number","xml":{"name":"MaxPaymentAmount"}},"status":{"type":"string","enum":["UPLOADED","FORMAT_VALIDATED","CANCELED","SUBMITTED","ACQUIRED_FOR_PROCESSING","DATA_VALIDATED","PROCESSING_PAYMENT","GENERATING_RECEIPT","GENERATING_STATEMENT","COMPLETED","PENDING_RETRY","FAILED"],"xml":{"name":"Status"}},"originalFilename":{"type":"string","xml":{"name":"OriginalFilename"}},"results":{"type":"array","items":{"$ref":"#/components/schemas/MaintenanceFeeBulkPaymentModel"},"xml":{"name":"Results"}}},"required":["depositAccountNumber","fromDate","maxPaymentAmount","minPaymentAmount","originalFilename","paymentMethod","status","toDate","userId"]},"MaintenanceFeeBulkPaymentModel":{"type":"object","properties":{"version":{"type":"integer","format":"int32","xml":{"name":"Version"}},"fileId":{"type":"integer","format":"int64","xml":{"name":"FileId"}},"status":{"type":"string","enum":["UPLOADED","FORMAT_VALIDATED","CANCELED","SUBMITTED","ACQUIRED_FOR_PROCESSING","DATA_VALIDATED","PROCESSING_PAYMENT","GENERATING_RECEIPT","GENERATING_STATEMENT","COMPLETED","PENDING_RETRY","FAILED"],"xml":{"name":"Status"}},"date":{"type":"string","format":"date-time","xml":{"name":"Date"}},"depositAccountNumber":{"type":"string","xml":{"name":"DepositAccountNumber"}},"paymentMethod":{"type":"string","xml":{"name":"PaymentMethod"}},"originalFilename":{"type":"string","xml":{"name":"OriginalFilename"}},"originalFileId":{"type":"string","xml":{"name":"OriginalFileId"}},"receiptFileId":{"type":"string","xml":{"name":"ReceiptFileId"}},"statementFileId":{"type":"string","xml":{"name":"StatementFileId"}},"paidCount":{"type":"integer","format":"int32","xml":{"name":"PaidCount"}},"notPaidCount":{"type":"integer","format":"int32","xml":{"name":"NotPaidCount"}},"totalAmountPaid":{"type":"number","xml":{"name":"TotalAmountPaid"}},"userId":{"type":"string","xml":{"name":"UserId"}},"statementStatus":{"type":"string","xml":{"name":"StatementStatus"}}},"required":["date","depositAccountNumber","originalFileId","originalFilename","paymentMethod","receiptFileId","statementFileId","statementStatus","status","totalAmountPaid","userId"]},"FeeCodeAmountModel":{"type":"object","properties":{"version":{"type":"integer","format":"int32","xml":{"name":"Version"}},"feeCode":{"type":"string","xml":{"name":"FeeCode"}},"amount":{"type":"number","xml":{"name":"Amount"}},"description":{"type":"string","xml":{"name":"Description"}},"quantity":{"type":"integer","format":"int32","xml":{"name":"Quantity"}},"feeChargeTypeCd":{"type":"string","xml":{"name":"FeeChargeTypeCd"}},"feeChargeTypeDesc":{"type":"string","xml":{"name":"FeeChargeTypeDesc"}}},"required":["amount","description","feeChargeTypeCd","feeChargeTypeDesc","feeCode","quantity"]},"MaintenanceFeeShoppingCartItemModel":{"type":"object","properties":{"version":{"type":"integer","format":"int32","xml":{"name":"Version"}},"shoppingCartItemId":{"type":"integer","format":"int64","xml":{"name":"ShoppingCartItemId"}},"storefrontReferenceIdName":{"type":"string","xml":{"name":"StorefrontReferenceIdName"}},"storefrontReferenceId2Name":{"type":"string","xml":{"name":"StorefrontReferenceId2Name"}},"storefrontReferenceId":{"type":"string","xml":{"name":"StorefrontReferenceId"}},"storefrontReferenceId2":{"type":"string","xml":{"name":"StorefrontReferenceId2"}},"itemUrl":{"type":"string","xml":{"name":"ItemUrl"}},"submittedDate":{"type":"string","format":"date-time","xml":{"name":"SubmittedDate"}},"feeCodes":{"type":"array","items":{"$ref":"#/components/schemas/FeeCodeAmountModel"},"xml":{"name":"FeeCodes"}},"expirationDateMessage":{"type":"string","xml":{"name":"ExpirationDateMessage"}},"attorneyDocketNumber":{"type":"string","xml":{"name":"AttorneyDocketNumber"}},"expired":{"type":"boolean","xml":{"name":"Expired"}},"payable":{"type":"boolean","xml":{"name":"Payable"}},"entityTypeCd":{"type":"string","xml":{"name":"EntityTypeCd"}},"entityTypeName":{"type":"string","xml":{"name":"EntityTypeName"}},"window":{"type":"string","xml":{"name":"Window"}},"surchargeDate":{"type":"string","format":"date-time","xml":{"name":"SurchargeDate"}},"closeDate":{"type":"string","format":"date-time","xml":{"name":"CloseDate"}},"feeStatus":{"type":"string","xml":{"name":"FeeStatus"}}},"required":["attorneyDocketNumber","closeDate","entityTypeCd","entityTypeName","expirationDateMessage","feeStatus","itemUrl","shoppingCartItemId","storefrontReferenceId","storefrontReferenceId2","storefrontReferenceId2Name","storefrontReferenceIdName","submittedDate","surchargeDate","window"]}}}}